Skip to main content
POST
/
v1
/
eligibility
/
batches
Create Batch
curl --request POST \
  --url https://api.example.com/v1/eligibility/batches \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "items": [
    {
      "subscriber_date_of_birth": "2023-12-25",
      "subscriber_member_id": "<string>",
      "subscriber_first_name": "<string>",
      "subscriber_last_name": "<string>",
      "trading_partner_service_id": "<string>",
      "provider_organization_name": "<string>",
      "encounter_date_of_service": "2023-12-25",
      "service_type_codes": [
        "1"
      ],
      "provider_npi": "<string>",
      "service_provider_number": "<string>",
      "dependent_date_of_birth": "2023-12-25",
      "dependent_first_name": "<string>",
      "dependent_last_name": "<string>",
      "dependent_member_id": "<string>",
      "dependent_relationship_code": "<string>",
      "submitter_transaction_identifier": "<string>"
    }
  ],
  "name": "<string>",
  "idempotency_key": "<string>"
}
'
{
  "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "total_count": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Body

application/json

Request body for creating a batch eligibility check.

items
BatchEligibilityCheckItem · object[]
required

List of eligibility check items

Minimum array length: 1
name
string | null

Optional batch name

Maximum string length: 100
idempotency_key
string | null

Client-generated idempotency key to prevent duplicate batch creation

Maximum string length: 64

Response

Successful Response

Response when submitting batch eligibility checks

batch_id
string<uuid>
required

Batch ID

status
enum<string>
required

Batch status

Available options:
pending,
validated,
validation_failed,
in_progress,
completed,
completed_with_errors
total_count
integer
required

Total number of eligibility checks in batch

created_at
string<date-time>
required

Batch creation/submission timestamp